# Nagios plugin to check Ceph cluster usage

## Usage

```
usage: check_ceph_usage [-h] [-d] [-b BIN] [--conf CONF] [-m MON] [-i ID]
                        [-k KEYRING] [-w WARNDATA] [-c CRITDATA]
                        [-W WARNALLOC] [-C CRITALLOC]

optional arguments:
  -h, --help            show this help message and exit
  -d, --debug
  -b BIN, --bin BIN     Ceph binary (default: /usr/bin/ceph)
  --conf CONF           Ceph configuration file
  -m MON, --mon MON     Ceph monitor address[:port]
  -i ID, --id ID        Ceph client id
  -k KEYRING, --keyring KEYRING
                        Ceph client keyring file
  -w WARNDATA, --warning-data WARNDATA
                        Warning data threshold (default: 70%)
  -c CRITDATA, --critical-data CRITDATA
                        Critical data threshold (default: 85%)
  -W WARNALLOC, --warning-allocated WARNALLOC
                        Warning allocated threshold (default: 80%)
  -C CRITALLOC, --critical-allocated CRITALLOC
                        Critical allocated threshold (default: 90%)
```

## Copyright

Copyright (c) 2013-2021 Benjamin Renard <brenard@zionetrix.net>

## License

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3
as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

